TEXT2TT(1)

NAME
text2tt - Convert text to Touch Tone representation

SYNOPSIS
text2tt text ...

DESCRIPTION
text2tt converts text to the Touch Tone sequence used by APRStt. There are two types of encoding:

    Multi-Press - Used for comments.

        Letters are represented by one or more presses of the same key depending on their order listed on the button. e.g. Press 5 key once for J, twice for K, thrice for L.

        To specify a digit use the number of letters listed on the button plus one. e.g. Press 5 key four times to get digit 5. When two characters in a row use the same key, use the "A" key as a separator.

    Two-Key - Used for callsigns.

        Digits are represented by a single key press.

        Letters (or space) are represented by the corresponding key followed by A, B, C, or D depending on the order of the letter in the order listed.

This application will convert using both methods.

OPTIONS

None.

EXAMPLES

text2tt abcdefg 0123

Push buttons for multi-press method:
"2A22A2223A33A33340A00122223333"
Push buttons for two-key method:
"2A2B2C3A3B3C4A0A0123"

SEE ALSO
More detailed information is in the pdf files in /usr/local/share/doc/direwolf, or possibly /usr/share/doc/direwolf, depending on installation location. Applications in this package: aclients, atest, decode_aprs, direwolf, gen_packets, ll2utm, log2gpx, text2tt, tt2text, utm2ll